Subject: Re: bug#36067: 27.0.50; Edebug leaves undefined RET in minibuffer

From: Michael Heerdegen <[email-masked]>
Date: Tue, 09 Jul 2019 04:08:05 +0200

Michael Heerdegen <[email-masked]> writes:

> > Don't think I've ever seen that before.  I know the 'transient'
> > package (which magit now uses for its popup UI), can have a bad
> > interaction with edebug when trying to debug its code.  I think it's
> > due to how it messes with transient keymaps in post/pre comman
> > hooks.  Maybe you have something similar happen here?
>
> I'll try to find out when I see this the next time.

I saw it again.  This time indeed a left over transient-map was the
culprit.  The transient-map had been installed with `set-transient-map'
with a KEEP-PRED that should have been failing, but somehow, due to the
interaction with edebug, or just the recursive edit, the transient map
stayed alive, I guess the KEEP-PRED was not tested anymore, but I'm not
sure.  It's not easy to reproduce the issue at will, so I have a hard
time to find out more.

Michael.